<refentry id="tocentry.element">
<?dbhtml filename="tocentry.html"?>
<refentryinfo>
<pubdate>$Date: 2004-02-23 22:25:58 +0800 (Mon, 23 Feb 2004) $</pubdate>
<releaseinfo>$Revision: 3457 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>tocentry</secondary></indexterm>
<refentrytitle>tocentry</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>tocentry</refname>
<refpurpose>&tocentry.purpose;</refpurpose>
</refnamediv>

&tocentry.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>
A <sgmltag>ToCentry</sgmltag> contains the title of an entry in a
<sgmltag>ToC</sgmltag>.  In entries that allow nested structure, such as
<sgmltag>ToCchap</sgmltag>, this additional wrapper is necessary in order to
require that a title be present.
</para>

<refsect2><title>Processing expectations</title>
<para>
&format.block;
</para>
<para>
In real life, <sgmltag>ToC</sgmltag>s are usually generated automatically
by the presentation system and never have to be represented explicitly
in the document source.
</para>
</refsect2>

<refsect2 role='fu' revision="4.0"><title>&FutureChanges;</title>
<para>
<!--do not index this occurance-->
&fu.interfacedefinition;
</para>
</refsect2>


&tocentry.parents.gen;
&tocentry.children.gen;
</refsect1>
<refsect1 condition='ref.elem.attrdesc'><title>Attributes</title>
<variablelist>
<varlistentry><term>linkend</term>
<listitem>
<para>
<sgmltag class="attribute">Linkend</sgmltag> points to the associated element in the document.
</para>
</listitem>
</varlistentry>
<varlistentry><term>pagenum</term>
<listitem>
<para>
<sgmltag class="attribute">PageNum</sgmltag> indicates the page on which this
<sgmltag>ToC</sgmltag> element appears in some version of the printed document.
</para>
</listitem>
</varlistentry>
</variablelist>
</refsect1>
<refsect1><title>Examples</title>

&tocentry.example.seealso.gen;
</refsect1>
</refentry>

